# Weather Hue - ID

import requests
import json
import sys
import argparse

requests.packages.urllib3.disable_warnings()

##################### Get Arguments ##################################

# Parse the arguments passed from the command line.
parser = argparse.ArgumentParser()
parser.add_argument('-g','--hueip',help='Philips Hue Bridge IP address',required=True)
parser.add_argument('-k','--hueapikey',help='Philips Hue API Key to allow access to Philips Hue Bridge API',required=True)

arguments = vars(parser.parse_args())

hueip = arguments['hueip']
hueapikey = arguments['hueapikey']

response = requests.get('https://' + hueip + '/api' + hueapikey + '/lights', verify=False)

if response.status_code != 200:
    # This means something went wrong.
    raise ApiError('GET /lights/ {}'.format(resp.status_code))

# Convert the response object into JSON.
responsejson = json.dumps(response.json(),indent=2)
# Convert the response object into a Python Dictionary
responsedict = json.loads(responsejson)

print "Weather Hue - Light ID Discovery"
print "Number of Lights:",len(responsedict)
print
for i,j in responsedict.items():
    # Print the list of lights out.
    # print i + " " + "\033[33m" + str(j['name']) + "\033[0m"

    # Print the list of lights with various additional information.
    print "Name: " + "\033[1;35;40m" + str(j['name']) + "\033[0m" + " ("+i+")"
    #print "Software Status: " + "\033[0;33;40m" + str(j['swupdate']['state']) + "\033[0m"
    if str(j['state']['on']) == "False":
        print "Power State: " + "\033[0;31;40m" + "Off" "\033[0m"
    else:
        print "Power State: " + "\033[0;32;40m" + "On" + "\033[0m"
   #print "Power State: " + "\033[1;33;40m" + str(j['state']['on']) + "\033[0m"
    if str(j['state']['reachable']) == "False":
            print "Connection: " + "\033[0;31;40m" + "FAIL!" + "\033[0m"
    else:
            print "Connection: " + "\033[0;32;40m" + "OK" + "\033[0m"
    if str(j['productname']) == "Hue play":
        print "Colour (colorgumut): " + str(j['capabilities']['control']['colorgamut'])
        print "Colour (xy): " + str(j['state']['xy'])

    print

